Loading...
Searching...
No Matches
Opm::Elasticity::AMG2Level< Smoother > Struct Template Reference

A two-level method with a coarse AMG solver. More...

`#include <elasticity_preconditioners.hpp>`

## Public Types

typedef Dune::Amg::AggregationLevelTransferPolicy< Operator, typename AMG1< Smoother >::Criterion > | TransferPolicy
| AMG transfer policy.
typedef Dune::Amg::LevelTransferPolicy< Operator, Operator > | LevelTransferPolicy
typedef Dune::Amg::OneStepAMGCoarseSolverPolicy< Operator, Smoother, typename AMG1< Smoother >::Criterion > | CoarsePolicy
typedef Dune::Amg::SmootherTraits< Smoother >::Arguments | SmootherArgs
typedef Dune::Amg::TwoLevelMethod< Operator, CoarsePolicy, Schwarz::type > | type

## Static Public Member Functions

static std::shared_ptr< type > | setup (int pre, int post, int target, int zcells, std::shared_ptr< Operator > &op, const Dune::CpGrid &gv, ASMHandler< Dune::CpGrid > &A, bool &copy)
| Setup preconditioner.

## Detailed Description

template<class Smoother>
struct Opm::Elasticity::AMG2Level< Smoother >

A two-level method with a coarse AMG solver.

## Member Function Documentation

## setup()

template<class Smoother>

std::shared_ptr< type > Opm::Elasticity::AMG2Level< Smoother >::setup | ( | int | pre,
|  | int | post,
|  | int | target,
|  | int | zcells,
|  | std::shared_ptr< Operator > & | op,
|  | const Dune::CpGrid & | gv,
|  | ASMHandler< Dune::CpGrid > & | A,
|  | bool & | copy )

inline static

Setup preconditioner.

Parameters

  [in] | pre | The number of pre-smoothing steps
  [in] | post | The number of post-smoothing steps
  [in] | target | The coarsening target
  [in] | zcells | The wanted number of cells to collapse in z per level
  [in] | op | The linear operator
  [in] | gv | The cornerpoint grid
  | A | The assembly handler
  [out] | copy | Whether or not to clone for threads

The documentation for this struct was generated from the following file:

- opm/elasticity/elasticity_preconditioners.hpp